Bug 720333 - Review Request: perl-Devel-CallChecker - Custom op checking attached to subroutines
Summary: Review Request: perl-Devel-CallChecker - Custom op checking attached to subro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 720327
Blocks: 720339
TreeView+ depends on / blocked
 
Reported: 2011-07-11 12:15 UTC by Petr Pisar
Modified: 2011-09-30 19:14 UTC (History)
3 users (show)

Fixed In Version: perl-Devel-CallChecker-0.003-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-27 22:57:32 UTC
Type: ---
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-07-11 12:15:06 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Devel-CallChecker/perl-Devel-CallChecker.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Devel-CallChecker/perl-Devel-CallChecker-0.003-1.fc15.src.rpm
Description:
This module makes some new features of the Perl 5.14.0 C API available to
XS modules running on older versions of Perl. The features are centered
around the function cv_set_call_checker, which allows XS code to attach a
magical annotation to a Perl subroutine, resulting in resolvable calls to
that subroutine being mutated at compile time by arbitrary C code. This
module makes cv_set_call_checker and several supporting functions
available. (It is possible to achieve the effect of cv_set_call_checker
from XS code on much earlier Perl versions, but it is painful to achieve
without the centralized facility.)


----
Notice for packager: Target to F16--14 due to perl-smartmatch.

Comment 1 Emmanuel Seyman 2011-09-18 11:02:23 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-09-18 11:21:32 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3358510

 [x] Rpmlint output:
perl-Devel-CallChecker.src: W: spelling-error %description -l en_US cv -> CV, xv, cc
perl-Devel-CallChecker.x86_64: W: spelling-error %description -l en_US cv -> CV, xv, cc
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
949d20ecefdab1cc7965efd6896e2b90  Devel-CallChecker-0.003.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3358510
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=4, Tests=85,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.72 cusr  0.10 csys =  0.86 CPU)
Result: PASS

APPROVED.

Comment 3 Petr Pisar 2011-09-19 09:16:04 UTC
New Package SCM Request
=======================
Package Name: perl-Devel-CallChecker 
Short Description: Custom op checking attached to subroutines
Owners: ppisar mmaslano psabata
Branches: f14 f15 f16
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2011-09-19 10:07:35 UTC
Git done (by process-git-requests).

Comment 5 Petr Pisar 2011-09-19 10:50:54 UTC
Thank you for the review and the repository.

Comment 6 Fedora Update System 2011-09-19 10:56:49 UTC
perl-Devel-CallChecker-0.003-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Devel-CallChecker-0.003-1.fc16

Comment 7 Fedora Update System 2011-09-19 11:23:22 UTC
perl-DynaLoader-Functions-0.000-1.fc15, perl-Devel-CallChecker-0.003-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Devel-CallChecker-0.003-1.fc15,perl-DynaLoader-Functions-0.000-1.fc15

Comment 8 Fedora Update System 2011-09-19 12:18:06 UTC
perl-DynaLoader-Functions-0.000-1.fc14, perl-Devel-CallChecker-0.003-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Devel-CallChecker-0.003-1.fc14,perl-DynaLoader-Functions-0.000-1.fc14

Comment 9 Fedora Update System 2011-09-19 18:28:53 UTC
perl-Devel-CallChecker-0.003-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2011-09-27 22:57:22 UTC
perl-DynaLoader-Functions-0.000-1.fc14, perl-Devel-CallChecker-0.003-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-09-27 23:03:46 UTC
perl-DynaLoader-Functions-0.000-1.fc15, perl-Devel-CallChecker-0.003-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-09-30 19:14:25 UTC
perl-Devel-CallChecker-0.003-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.